# Class CountingPairedFilter

java.lang.Object
picard.filter.CountingFilter
picard.filter.CountingPairedFilter

All Implemented Interfaces:
  `htsjdk.samtools.filter.SamRecordFilter`

public class CountingPairedFilter extends CountingFilter
Counting filter that discards reads that are unpaired in sequencing and paired reads whose mates are not mapped.

## Constructor Summary

Constructors
Constructor
Description
`CountingPairedFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`reallyFilterOut(htsjdk.samtools.SAMRecord record)`
Return true if we are to filter this record out, false otherwise.

### Methods inherited from class CountingFilter

`filterOut, filterOut, getFilteredBases, getFilteredRecords`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CountingPairedFilter

public CountingPairedFilter()

## Method Details

### reallyFilterOut

public boolean reallyFilterOut(htsjdk.samtools.SAMRecord record)
Description copied from class: `CountingFilter`
Return true if we are to filter this record out, false otherwise.

Specified by:
  `reallyFilterOut` in class `CountingFilter`